---
title: Поиск локального IP-адреса вашего сервера
template: docs
taxonomy:
    category: docs
routes:
  default: '/finding_the_local_ip'
---

При установке дома ваш сервер, как правило, должен быть доступен с использованием домена `yunohost.local`. Если по какой-либо причине это не сработает, возможно, вам потребуется найти *локальный* IP-адрес вашего сервера.

## Что такое локальный IP-адрес ?

Локальный IP-адрес - это адрес, используемый для обращения к вашему серверу внутри локальной сети (обычно вашего дома), где несколько устройств подключены к маршрутизатору. Локальный IP-адрес обычно выглядит как `192.168.x.y` (или иногда `10.0.x.y` или `172.16.x.y`).

## Как его найти ?

Любой из этих приемов должен позволить вам найти локальный IP-адрес вашего сервера:
[ui-tabs position="top-left" active="0" theme="lite"]
[ui-tab title="(Рекомендуемый) используя AngryIP"]

Вы можете использовать [AngryIP](https://angryip.org/download/) для достижения этой цели. Вам просто нужно сканировать эти локальные диапазоны ip-адресов в таком порядке, пока вы не найдете активный IP-адрес, соответствующий вашему серверу:

- `192.168.0.0` -> `192.168.0.255`
- `192.168.1.0` -> `192.168.1.255`
- `192.168.2.0` -> `192.168.255.255`
- `10.0.0.0` -> `10.0.255.255`
- `172.16.0.0` -> `172.31.255.255`

!!! **Советы**:
!!! - вы можете сделать отсортировать по ping, как показано на этом скриншоте, чтобы легко увидеть используемый IP.
!!! - обычно ваш сервер должен отображаться как прослушивающий на портах 80 и 443
!!! - в случае сомнений просто введите `https://192.168.x.y` в вашем браузере, чтобы проверить, является ли это YunoHost или нет.

![](image://angryip.png?class=inline)

[/ui-tab]
[ui-tab title="С вашим интернет-маршрутизатором"]
Подключитесь к интерфейсу вашего маршрутизатора, чтобы просмотреть список подключенных компьютеров.
[/ui-tab]
[ui-tab title="С помощью arp-scan"]
Если вы используете Linux, вы можете открыть терминал и использовать `sudo arp-scan --local`, чтобы вывести список IP-адресов в вашей локальной сети (это также может работать в Windows).;

Если команда `arp-scan` отображает непонятное количество устройств, вы можете проверить, какие из них открыты для SSH с помощью `nmap -p 22 192.168.1.0/24`, чтобы разобраться в них (адаптируйте диапазон IP к вашей локальной сети).
[/ui-tab]
[ui-tab title="С прямым доступом к серверу"]
Подключите экран к своему серверу, войдите в систему и введите `hostname --all-ip-address`.

Учетные данные по умолчанию (перед постустановкой!) для входа в систему:

- логин: `root`
- пароль: `yunohost`

(Если вы используете необработанный образ Armbian вместо предустановленного образа YunoHost, учетные данные - root / 1234)

[/ui-tab]
[/ui-tabs]

## Я все еще не могу найти свой локальный IP-адрес

Если вы не можете найти свой сервер, используя какой-либо из предыдущих приемов, возможно, ваш сервер загрузился неправильно:

- Убедитесь, что ваш сервер правильно подключен;
- Если вы используете SD-карту, убедитесь, что разъем не слишком запылился;
- Подключите экран к вашему серверу и попробуйте перезагрузиться, чтобы проверить, правильно ли он загружается;
- Убедитесь, что ваш кабель Ethernet исправен и правильно подключен;
