---
title: Vantaggi di una VPN per il self-hosting
template: docs
taxonomy:
    category: docs
routes:
  default: '/vpn_advantage'
---

Poiché installare un server a casa è una pratica abbastanza poco comune molte connessioni Internet casalinghe non sono realmente utilizzabili per questo scopo. Una VPN rispettosa della neutralità di rete (net neutrality) con un indirizzo IPv4 fisso e indirizzi IPv6 può aiutare a superare alcune limitazioni e difficoltà.

! **Attenzione**: non tutti i provider di VPN rispettano queste condizioni, controllate che quello scelto le rispetti.

## Vantaggi

### Plug & Play

Usare una VPN per il vostro server vi permetterà di renderlo accessibile a tutta Internet senza dover fare alcun cambiamento al router al quale lo connettete. Questa cosa risulta estremamente comoda se state andando in vacanza, se state traslocando o nel caso di una disconnessione da Internet poiché potrete facilmente riconnettere il server da qualcuno di fiducia senza necessità di riconfigurare il router della persone che vi sta aiutando.

Allo stesso modo vi risparmierete il problema di aprire le porte del vostro router per bypassare l'hairpinning.

### Nessun micro distacco del DNS

Se la vostra connessione ad Internet non ha un IP pubblico fisso dovrete utilizzare un sistema di nome a dominio dinamico (Dynamic DNS). La soluzione è accettabile però il DNS verrà aggiornato ad intervalli regolari (ad esempio con i domini registrati su `noho.st` e `nohost.me` ogni due minuti). Di conseguenza è possibile che i browser possano mostrare degli errori di tanto in tanto o che addirittura venga mostrato un altro sito (anche se questa possibilità è abbastanza remota in quanto il self-hosting non è ancora molto diffuso).

Con una VPN neutrale il problema è bypassato in quanto la VPN può essere assimilata ad una connessione ad Internet virtuale con un indirizzo IPv4 fisso e quindi il dominio non deve essere aggiornato.

### La questione della posta elettronica

La posta elettronica è uno dei protocolli più complessi per il self-hosting e di conseguenza quello che viene impostato per ultimo. E difatti è molto facile trovarsi nella situazione in cui le email inviate dal server vengono rifiutate dai server SMTP di destinazione.

Per evitare questa situazione dovete:

- configurare il reverse DNS della connessione ad Internet del server (o della VPN)
- un Ipv4 statico
- fare in modo che questo indirizzo IPv4 sia eliminabile da tutte le blacklist (in particolare l'IP non deve essere nel DUL)
- riuscire ad aprire la porta 25 (così come tutte le altre porte SMTP)

Purtroppo quasi nessun IPS francese diffuso (e neanche italiano) permette di rispettare tutte queste necessità.

Di conseguenza usare una VPN che rispetta queste richieste è una valida alternativa.

### Fiducia

Infine, se non volete che la comunicazioni del vostro server possano essere intercettate dall'infrastruttura di rete del vostro ISP potete usare la VPN per cifrare le vostre comunicazioni e spostare la fiducia al provider della VPN. Ricordate che fin dal 2015 il governo (francese) installa ufficialmente delle `black box` nelle sedi dei grandi operatori di rete con l'obbiettivo di intercettare tutte le comunicazioni digitali francesi per controllare gli interessi scientifici, economici e industriali della Francia (non è chiaro cosa succede in Italia).

## Svantaggi

### Costi

Una VPN neutrale presenta dei costi aggiuntivi poiché l'operatore che a fornisce deve gestire un server e consumare banda. Il costo di una VPN di un associato a FFDN (consorzio francese di operatori di rete sociali) si aggira intorno ai 6€ al mese.

### Packet path

Usando una VPN su vostro server, a meno di particolari configurazioni, la strada percorsa dai file da un computer sulla vostra rete locale al server della VPN passerà dal nodo terminale della VPN, cioè dal server del provider.

Ci sono due possibili soluzioni a questo problema:

- trasformare il server in un router e connettere attraverso questo gli apparecchi casalinghi che così anche questi godranno della protezione della VPN.
- usare il server YunoHost in un resolver del DNS a casa di modo da redirigere i nomi a dominio locali ad indirizzi locali invece che quelli pubblici. Questa Questa operazione deve essere compiuta per tutti gli apparecchi oppure sul router (se lo permette).
