---
title: Demander de l'aide efficacement
template: docs
taxonomy:
    category: docs
routes:
  default: '/asking_for_help_efficiently'
---

Bien que les personnes contribuant à YunoHost essaient continuellement de l'améliorer, YunoHost, ses packages ou sa documentation ne sont exempts de bugs ou d'erreurs. Pour nous aider à vous aider, vous devez cependant suivre ces instructions.

## À faire

### Patience et courtoisie

L'aide dans les salons de discussion ou sur le forum est apportée par des personnes entièrement bénévoles. Peut-être que vous-vous sentez sous pression, que les essais infructueux vous épuisent ou encore que de mauvaises émotions vous submergent... Faites une pause, buvez une gorgée de votre boisson apaisante préférée, soufflez, et une fois votre contenance revenue, poursuivez votre lecture. Nous avons besoin de vous dans un bon état d'esprit pour vous aider.

### Demandez au bon endroit

Le support n'est prodigué que sur [le forum](https://forum.yunohost.org?target=_blank) ou sur [nos salons de discussion](/chat_rooms?target=_blank).  
Nous avons un compte Mastodon, mais nous ne prodiguons pas d'aide sur cette plateforme.

Sur le forum, assurez-vous d'ouvrir votre demande dans la bonne catégorie, afin de maximiser vos chances de recevoir l'aide appropriée :

- [Support](https://forum.yunohost.org/c/support/6?target=_blank) pour les problèmes lors de l'installation ou de l'utilisation de YunoHost en soi ;
- [Support apps](https://forum.yunohost.org/c/apps/11?target=_blank) pour les problèmes lors de la configuration ou de l'utilisation d'applications.

Pour que nous puissions être en mesure de vous aider sur le forum, vous devez impérativement remplir le modèle de demande de support qui s'affichera lors de la création du message.

### Expliquez le contexte

Votre demande doit être formulée de manière complète mais concise. Expliquez clairement ce que vous voulez obtenir et en quoi cela ne fonctionne pas pour vous.  
N'hésitez pas à fournir toute information qui peut être pertinente, même des choses qui peuvent sembler être une évidence, la ou les personnes qui vont essayer de vous aider auront peut-être besoin de ces informations.

### Montrez les erreurs et les journaux

Ceci est absolument primordial si YunoHost ou une commande échoue. YunoHost explique toujours pourquoi, que ce soit par un simple code d'erreur ou par un pavé de texte apparemment incompréhensible.

YunoHost fournit des boutons verts "Partager avec YunoPaste" lorsque quelque chose échoue ou dans la page Services de la webadmin. Cliquez dessus, ce qui ouvrira une nouvelle page web dont vous pourrez partager l'URL.

Il est recommandé de partager ces logs dans leur intégralité à l'aide du lien généré par YunoPaste.  
Évitez les extraits de logs, une information déterminante est peut-être ailleurs.  
Évitez aussi de les copier-coller de manière brute dans le forum, car c'est désagréable de les parcourir comme ça, partagez le lien de YunoPaste.

![Bouton YunoPaste](image://yunopaste.png)

![Vidéo indiquant qu'on peut trouver le bouton YunoPaste en bas à droite des pages de logs sur la web admin](image://yunopaste_install.mp4?loop=1&controls=0&autoplay=1&muted)
![Vidéo montrant qu'on peut partager un log depuis la web admin en allant dans Outils puis Services puis en sélectionnant le services dont on veut partager les logs](image://yunopaste_service.mp4?loop=1&controls=0&autoplay=1&muted)

Si votre problème n'est pas lié à un processus d'installation ou de mise à jour, mais plutôt à une application qui ne se charge pas correctement, vous pouvez déjà enquêter avec la console de votre navigateur (s'ouvrant avec la touche F12) : son onglet Réseau peut vous montrer les codes d'erreur HTTP (y compris les bien connus 403, 404, 500...), et sa Console peut également afficher des erreurs.

Les captures d'écran sont les bienvenues.

## À ne pas faire

### Évitez le [problème XY](https://xyproblem.info/)

En résumé, expliquez la cause de votre problème. Vous pouvez faire part de votre tentative de solution, mais le *pourquoi* vous avez besoin de cette solution potentielle est le plus important.

### Ne soyez pas vague

Ne supposez pas que nous comprenons ce dont vous parlez, ne prenez pas de raccourcis, ne reformulez pas, ne simplifiez pas, n'éditorialisez pas les messages d'erreur.

N'écrivez pas "ça ne marche pas", "ça ne veut pas", "ça ne se charge pas", ou d'autres phrases vides de sens.

Expliquez ce qui ne va pas et comment cela apparaît à l'écran.  
Il y a, par exemple, une différence importante entre une page complètement blanche et une page blanche avec un code d'erreur, même minimaliste.

### Ne tournez pas autour du pot

Il n'est pas nécessaire de demander l'autorisation pour demander de l'aide. Il s'agit d'un chat/forum d'assistance, donc oui, vous pouvez poser votre question.

Ne posez pas votre question comme un sondage, comme dans "Est-ce que quelqu'un a réussi à faire fonctionner l'application XY ?" Si cela ne fonctionne pas pour vous, expliquez directement le problème que vous avez rencontré, expliquez le contexte, partagez les logs.

### Ne soyez pas un trou du cul

L'accès au forum ou aux salons de discussion est un privilège qui peut être révoqué.
