---
title: Asking for help efficiently
template: docs
taxonomy:
    category: docs
routes:
  default: '/asking_for_help_efficiently'
---

Nonostante i collaboratori di YunoHost cerchino continuamente di migliorarlo, YunoHost e la sua documentazione non sono esenti da bug o errori. Per aiutarci ad aiutarvi, dovreste seguire queste istruzioni.

L'aiuto è fornito sul [forum](https://forum.yunohost.org?target=_blank) o sui [gruppi di discussione](/chat_rooms?target=_blank).
Ci trovate anche su Mastodon, ma non forniamo aiuto su questa piattaforma.

Affinché ci sia possibile aiutarvi, sul forum dovete porre le domande seguendo il modello proposto.

## Come fare

### Siate gentili e pazienti

L'aiuto nei gruppi o sul forum viene fornito dai collaboratori e dagli utilizzatori, tutti volontari. A volte succede di avere fretta o essere stressati da tentativi infruttuosi... prendetevi una pausa, bevete un sorso della vostra bevanda rilassante preferita e poi rileggete. Abbiamo bisogno che siate in una buona condizione mentale per potervi aiutare.

### Spiegate il contesto

La richiesta di aiuto deve essere posta in maniera completa e concisa. Spiegate chiaramente cosa volete ottenere e cosa non riuscite a fare.

### Riportate gli errori e i log

Di fondamentale importanza nelle richieste di aiuto è fornire log e messaggi di errore. Se un comando fallisce, YunoHost ci comunica sempre cosa succede, attraverso un codice di errore o un elenco di stringhe apparentemente incomprensibili.

Quando qualcosa non va come dovrebbe, trovate dei pulsanti di colore verde "Condividere con YunoPaste" nella pagina dei Servizi nella pagina webadmin. Cliccando sul pulsante si aprirà una pagina web della quale dovrete condividere l'URL.

![Bottone YunoPaste](image://yunopaste.png)

![YunoPaste da un errore di installazione](image://yunopaste_install.mp4?loop=1&controls=0&autoplay=1&muted)
![YunoPaste da service](image://yunopaste_service.mp4?loop=1&controls=0&autoplay=1&muted)

Se  il vostro problema non è dovuto ad un processo di installazione o di aggiornamento, ma più probabilmente ad una app che non parte correttamente, potete iniziare ad indagare tramite la console del vostro browser (tasto F12): la scheda Rete riporterà i codici di errore HTTP (compresi e i ben noti 403, 404, 500...) e anche la Console riporterà gli errori.

Gli screenshot sono i benvenuti.

## Da non fare assolutamente

### Evitate il terribile [problema XY](https://xyproblem.info/)

In breve, spiegate quando si verifica il problema. Potete illustrare i tentativi intrapresi per risolverlo ma è importante spiegare ***perché*** avete bisogno di questa particolare soluzione.
  
### Non siate vaghi

Non date per scontato che le vostre spiegazioni siano comprese, non usate scorciatoie, non abbreviate, non semplificate. Non abbreviate i messaggi di errore.

Non scrivete "non funziona", "non si installa", "non carica" e ["lo dice il computer"](https://en.wikipedia.org/wiki/Computer_says_no).

Spiegate cosa non va e come l'errore si manifesta a schermo. C'è una differenza fondamentale, ad esempio, tra una pagina completamente bianca e una pagina completamente bianca con un codice di errore minimale.

### Non "menate il can per l'aia"

Non è necessario chiedere il permesso per chiedere aiuto. Trattandosi di una chat/forum di assistenza potete, ebbene sì, potete porre domande.

Non fate domande come fosse un sondaggio, ad esempio "Qualcuno è riuscito a fare andare l'applicazione XY?" Se riscontrate dei problemi con un'applicazione spiegate direttamente il problema riscontrato, illustrate il contesto e condividete i log.

### Non rompete le p...e

La partecipazione al forum e alle chat è un privilegio che può essere rimosso.
